Автор Тема: Обновления ПО дистрибутива у которого закончилась поддержка  (Прочитано 21160 раз)

Dizel

  • Новичок
  • *
  • Сообщений: 12
  • Карма: +0/-0
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Вот если сейчас на слабый комп установить дистрибутив, у кот. закончилась поддержка - на него прийдут ВСЕ обновления, или он так и останется в режиме стартового набора?
« Последнее редактирование: 28 Октябрь 2012, 23:34:07 от Azure »

NixShaman

  • Новичок
  • *
  • Сообщений: 1
  • Карма: +0/-0
  • Победа любит старание
    • Просмотр профиля
Да, обновления должны прийти, но их еще надо корректно суметь установить.

Brego

  • Ветеран
  • *****
  • Сообщений: 566
  • Карма: +93/-1
  • Перебьемся
    • Просмотр профиля
    • MintMem
Что значит "корректно установить"? Вы хотите поставить под сомнение работу apt?
Если не устанавливались посторонние репы, т.е. не менялся source.list, не ставился проприетарный драйвер на видюху, то никакой опасности в обновлениях нет. 
"Следующая эпоха началась с сожжения всех хроник вместе с хронистами". С. Лем

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Вот если сейчас на слабый комп установить дистрибутив, у кот. закончилась поддержка - на него прийдут ВСЕ обновления, или он так и останется в режиме стартового набора?
Насчет прям ВСЕХ я шибко сомневаюсь, но какие-то прийдут...

colonel

  • Старожил
  • ****
  • Сообщений: 496
  • Карма: +72/-8
  • Space Indian
    • Просмотр профиля
Вот если сейчас на слабый комп установить дистрибутив, у кот. закончилась поддержка - на него прийдут ВСЕ обновления, или он так и останется в режиме стартового набора?
Репозитории отключат - как с них может что-то прийти.
Только на этой неделе пытался установить lame на росинку 7 - оказалось, что репы ujbuntu jaunty jacklope уже не существуют.
Where are the space Indians? (Silicon Dream)

тов. Дынин

  • Пользователь
  • **
  • Сообщений: 88
  • Карма: +20/-1
  • RegisteredLinuxUser #561511
    • Просмотр профиля
    • Компот будешь?
Цитировать
Репозитории для неподдерживаемых версий

После окончания поддержки дистрибутива он удаляется с серверов, на которых хранятся репозитории Ubuntu. Это приводит к тому, что при попытке обновить список доступных пакетов выдаётся предупреждение о недоступности всех основных репозиториев. Однако все пакеты из репозитория на момент окончания поддержки не удаляются в никуда, а переводятся на другой сервер, поэтому если вам зачем-либо понадобится репозиторий для неподдерживаемой версии Ubuntu, вы сможете его получить. Для этого заменить все ссылки в файле /etc/apt/sources.list, отвечающие за официальные репозитории, на:

http://old-releases.ubuntu.com
Как-то так вроде бы, или не?  *DONT_KNOW*

Тут зрители аплодируют, аплодируют… Кончили аплодировать!

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Репозитории отключат - как с них может что-то прийти.
Только на этой неделе пытался установить lame на росинку 7 - оказалось, что репы ujbuntu jaunty jacklope уже не существуют.
Ну не все же сразу их отключат. :-)
Например, на ланчпаде для некоторых пакетов до сих пор есть версии для недавно умершего Maverick-а (причем, этот реп был создан буквально на днях, но тем не менее, пакеты для Lucid, Maverick и Natty, поддержка которой тоже закончилась буквально вчера, в него запилили!), и даже для Jaunty и Karmic-a! :-)
Хотя, конечно, будут ли подобные пакеты подвергаться периодическим обновлениям — еще вопрос... *JOKINGLY*
« Последнее редактирование: 29 Октябрь 2012, 14:51:46 от Lerych »

drakon

  • Новичок
  • *
  • Сообщений: 5
  • Карма: +1/-0
  • Я новичок в Linux Mint Росинке...
    • Просмотр профиля
Здравствуйте. Я 4 месяца назад установил 11-ю "Росинку". Если я правильно понял, то  поддержка  версии убунту 11.04, на которой она  основана, закончилась. Хочу задать конкретный вопрос, ответ на который будет ,наверное интересен многим новичкам. Чем грозит использование этой сборки дальше, обязательно ли переходить , например на минт 13, чтобы получать обновление безопасности? Меня немного смущает что менеджер обновлений себя ведет после 28.10 так же, как и раньше, то есть никаких предупреждений. Это нормально?

PINK FLOYD

  • Ветеран
  • *****
  • Сообщений: 658
  • Карма: +48/-5
  • деГенерация... Процесс пошёл...
    • Просмотр профиля
Ничем не грозит, скачивайте все обновления и устанавливайте сами

Большая победа приходит не после серии маленьких побед, она приходит после большого поражения.

Lerych

  • Ветеран
  • *****
  • Сообщений: 943
  • Карма: +122/-4
  • Выбрал Linux - включай мозг! ©
    • Просмотр профиля
Чем грозит использование этой сборки дальше, обязательно ли переходить , например на минт 13, чтобы получать обновление безопасности? Меня немного смущает что менеджер обновлений себя ведет после 28.10 так же, как и раньше, то есть никаких предупреждений. Это нормально?
Да ничем не грозит! Юзайте себе Росинку 11 на здоровье и не парьтесь, пока новая Росинка не выйдет (а можно и дальше)! :-)
Есть люди, которые до сих пор Убунту 8.04 юзают и ничего! *JOKINGLY*
А некоторые обновления, все-таки, будут еще приходить. Вот я, например, сегодня qutIM обновил, да и Miro поставил без проблем (правда, версию более старую, потому что последней версии для Natty уже нету). Правда, с каждым днем такой возможности будет оставаться все меньше и меньше, пока, наконец, не настанет тот момент, когда Вы на свою устаревшую систему не сможете найти уже ничего... Но это уже дело будущего. :-)

P.S. Это очень похоже на ситуацию со старыми, снятыми с конвеера, моделями автомобилей. Ездить, например, на 401-м Москвиче можно и сегодня (хоть и некомфортно, но все-таки можно! *JOKINGLY*), но если вдруг понадобятся на него какие-либо запчасти, то с этим будет полная засада! Потому как их "поддержка" полностью прекращена — официальный завод от них в свое время отказался (а потом и вовсе умер), а сторонним производителям это не интересно, так как мало того, что таких автомобилей итак кот наплакал, так их еще и с каждым днем становится все меньше и меньше. Соответственно, массового сбыта нет, а напрягаться ради десятка-двух энтузиастов никто не будет! Вот точно так же и с умершими дистрибутивами дела обстоят... :-)
« Последнее редактирование: 29 Октябрь 2012, 16:34:09 от Lerych »

Ghost

  • Старожил
  • ****
  • Сообщений: 466
  • Карма: +31/-2
  • прошу не прибавлять и не убавлять мою карму
    • Просмотр профиля
Короче, про безопасность линукса на домашнем компе вас не должно беспокоить.... Это скорее проблема серверов. Так что если нравится, то сидите сколько Вам захочится.....

MaxRok

  • Новичок
  • *
  • Сообщений: 19
  • Карма: +0/-0
    • Просмотр профиля
    • Макс Медиа
Доброго времени суток, возникла следующая проблема при обновлении через менеджер обновлений выдает следующее сообщение:

Не удалось получить http://extras.ubuntu.com/ubuntu/dists/natty/main/binary-i386/Packages  404  Not Found
Some index files failed to download. They have been ignored, or old ones used instead.

И далее:
Не удается обновить список пакетов

Подскажите как исправить эту ошибку?

Brego

  • Ветеран
  • *****
  • Сообщений: 566
  • Карма: +93/-1
  • Перебьемся
    • Просмотр профиля
    • MintMem
Напоминаю вам, что прежде чем задавать вопрос, нужно прочитать как минимум это.
Недоступность репозитория вызвана, насколько я понимаю, прекращением 28 октября с.г. жизненного цикла Ubuntu 11.04 Natty Narwhal и удалением из http://extras.ubuntu.com/ubuntu/dists/ соответствующей ветки. Обновлений пакетов, которые осуществлялись из нее, больше не будет.
Чтобы эта (некритичная) ошибка не выводилась, нужно найти в файле /etc/apt/sources.list строку с http://extras.ubuntu.com/ubuntu/dists/natty/main/binary-i386/Packagesи закомментировать ее (поставить в начале строки #), что можно сделать выполнив в Терминале следующую командуsudo sed -i '/extras.ubuntu/s/^[^#]/# \0/'  /etc/apt/sources.list
« Последнее редактирование: 23 Ноябрь 2012, 15:59:11 от Azure »
"Следующая эпоха началась с сожжения всех хроник вместе с хронистами". С. Лем

rawin

  • Новичок
  • *
  • Сообщений: 17
  • Карма: +0/-0
    • Просмотр профиля
Доброго времени суток, Росинководы :)

Имеется нетбук Aser aspire one d 257 (оператива увеличена до 2 гб) сегодня установлена росинка. При обновлении возникает сообщение об ошибке следующего содержания:

Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/Release.gpg  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/apps/binary-i386/Packages  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/games/binary-i386/Packages  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/apps/i18n/Translation-ru_RU  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/apps/i18n/Translation-ru  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/apps/i18n/Translation-en  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/games/i18n/Translation-ru_RU  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/games/i18n/Translation-ru  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://archive.getdeb.net/ubuntu/dists/natty-getdeb/games/i18n/Translation-en  Невозможно соединиться с archive.getdeb.net: http:
Не удалось получить http://extras.ubuntu.com/ubuntu/dists/natty/main/binary-i386/Packages  404  Not Found
Some index files failed to download. They have been ignored, or old ones used instead.


inxi -r    =>

rawin@rawin-AOD257 ~/Рабочий стол $ inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.rosix.ru/rosinka/ katya main
           deb http://packages.linuxmint.com/ katya main upstream import
           deb http://archive.ubuntu.com/ubuntu/ natty main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu/ natty-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ natty-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ natty partner
           deb http://extras.ubuntu.com/ubuntu natty main
           deb http://packages.medibuntu.org/ natty free non-free
           deb http://archive.getdeb.net/ubuntu natty-getdeb apps
           deb http://archive.getdeb.net/ubuntu natty-getdeb games
           deb http://download.virtualbox.org/virtualbox/debian natty contrib
           deb http://ppa.launchpad.net/tualatrix/ppa/ubuntu natty main
           deb http://ppa.launchpad.net/andrew-crew-kuznetsov/xneur-stable/ubuntu natty main
           deb http://ppa.launchpad.net/qutim/qutim/ubuntu natty main
           deb http://ppa.launchpad.net/dockbar-main/ppa/ubuntu natty main
           deb http://ppa.launchpad.net/leolik/leolik/ubuntu natty main
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb http://dl.google.com/linux/chrome/deb/ stable main
rawin@rawin-AOD257 ~/Рабочий стол $

что сделать какой источник удалить?

Заранее прошу прощения за скорее всего нубский вопрос )))

Ghost

  • Старожил
  • ****
  • Сообщений: 466
  • Карма: +31/-2
  • прошу не прибавлять и не убавлять мою карму
    • Просмотр профиля
А вы читать умеете? Разве не видите что эти записи схожи?
http://archive.getdeb.net/ubuntu/dists/natty-getdeb/apps/     = deb http://archive.getdeb.net/ubuntu natty-getdeb apps
http://archive.getdeb.net/ubuntu/dists/natty-getdeb/games/ = deb http://archive.getdeb.net/ubuntu natty-getdeb games
http://extras.ubuntu.com/ubuntu/dists/natty/main                     = deb http://extras.ubuntu.com/ubuntu natty main